import { IgniteElement } from './ignite-element.js';
import { IgniteTemplate, div } from './ignite-template.js';
import { Sheet } from './sheet.js';

class MainApp extends IgniteElement {
    constructor() {
        super();

        this.name = "Default Name";
    }

    get properties() {
        return [
            "name",
        ];
    }

    render() {
        return new Sheet().property("name", this.name);
    }
}

customElements.define("main-app", MainApp);